Subject: Re: hugetlbfs for ppc440 - kernel BUG

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 22 Oct 2008 09:53:13 +1100

On Tue, 2008-10-21 at 15:46 -0700, Satya wrote:
> Ben,
> Look here: http://www-unix.mcs.anl.gov/zeptoos/hugepages/

Thanks. What is the status ? Do they work fine ? Are they going to be
re-submitted for inclusion ?

Cheers,
Ben.

> thanks,
> ./satya
> 
> On Tue, Oct 21, 2008 at 1:47 PM, Benjamin Herrenschmidt
> <[email-masked]> wrote:
>         On Tue, 2007-07-10 at 13:38 -0500, Satya wrote:
>         > hello,
>         > I am trying to implement hugetlbfs on the IBM Bluegene/L IO
>         node
>         > (ppc440) and I have a big problem as well as a few questions
>         to ask
>         > the group. I patched a 2.6.21.6 linux kernel (manually) with
>         Edi
>         > Shmueli's hugetlbfs implementation (found here:
>         > http://patchwork.ozlabs.org/linuxppc/patch?id=8427) for
>         this. I did
>         > have to make slight changes (described at the end) to make
>         it work.
>         > My test program is a shortened version of a sys v shared
>         memory
>         > example described in Documentation/vm/hugetlbpage.txt
>         
>         
>         Hi !
>         
>         The patchwork link unfortunately didn't survive the transition
>         to
>         patchwork 2.
>         
>         Do you know what's the status of Hugetlb support for 44x ? Is
>         there any
>         plan to release that for upstream inclusion ?
>         
>         Cheers,
>         Ben.
>         
>         
>